<?php

require 'zebra_form/zebra_form.php';

if ( (isset($_GET["edit"])) && (isset($_GET["uid"])) )
{
    $edit = $_GET["edit"];
    $uid = $_GET["uid"];
}
else
{
   $edit = false;
}

//JavaScript für die Bestätigungsmeldung
echo"
<script language=\"JavaScript\" type=\"text/javascript\">
function SendMailConfirm(id)
{
    check =  confirm(\"Datensatz mit der ID: \" + id  + \" per E-Mail versenden?\");

    if (check==true)
    {
        location.href = \"addons/send_pdf.php?uid=\"+ id;
    }
    else
    {
        return false;
    }
}

</script>";

$mydb= new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');

if($edit != "true")
{
    $sql = "SELECT a.uid, a.nachname, a.vorname, a.strasse, a.wohnort, s.step, b.berechneter_lagerbeitrag FROM AnmeldungAdressen a LEFT JOIN AnmeldungStatus s ON a.uid = s.uid LEFT JOIN AnmeldungBankdaten as b ON b.uid = a.uid WHERE s.step >= 11 ORDER BY a.nachname COLLATE latin1_german2_ci, a.vorname COLLATE latin1_german2_ci";
    $mydb->query($sql);
    
    
    echo "<div class=\"panel panel-default\"><div class=\"panel-body\">";
    echo "<div class=\"table-responsive\">";
    echo "<table class=\"table table-striped table-bordered table-hover\" id=\"dataTables-edit\">";
      
      
    echo "<thead><tr><th>UID</th><th>Nachname</th><th>Vorname</th><th>Lagerbeitrag</th><td><b>Datensatz<br>bearbeiten<b></th><th>PDF<br>anzeigen</th><th>PDF<br> neu erstellen</th><th>PDF<br> verschicken</th></tr></thead><tbody>\n";
      
    while ($row = $mydb->fetchRow())
    {  
       
        echo "<tr><td>" . $row['uid'] . "</td>";
        echo "<td class=\"linieunten\">" . $row['nachname'] . "</td>";
        echo "<td class=\"linieunten\">" . $row['vorname'] .  "</td>";
        echo "<td align=\"right\"  class=\"linieunten\">" . $row['berechneter_lagerbeitrag'] .  " €</td>";
        echo "<td class=\"linieunten\"><a href=\"index.php?pageId=9&edit=true&uid=" . $row['uid'] ." \">edit</a></td>";
        echo "<td class=\"linieunten\"><a href=\"/pdf/" . $row['uid'] .".pdf\" target=\"_blank\">show</a></td>";
        echo "<td class=\"linieunten\"><a href=\"addons/create_pdf.php?uid=" . $row['uid'] ." \">recreate</a></td>";
        echo "<td class=\"linieunten\"><a href=\"#\" onClick=\"SendMailConfirm('" . $row['uid'] ."')\">send</a></td></tr>\n";  
    }     
      
    echo "</tbody></table></div></div></div>";
}
else
{
    $mydb->query("SELECT * FROM AnmeldungAdressen a JOIN AnmeldungBankdaten as b ON b.uid = a.uid JOIN AnmeldungNotfallkontakt as c ON c.uid = a.uid JOIN AnmeldungPerson as d ON d.uid = a.uid JOIN AnmeldungStatus as e ON e.uid = a.uid JOIN AnmeldungZeltwunsch as f ON f.uid = a.uid JOIN AnmeldungZusatzangaben as g ON g.uid = a.uid WHERE a.uid='$uid' ");
    $row = $mydb->fetchRow();
    
   
    $form = new Zebra_Form('form');
    $form->language('deutsch');
    
    $form->add('label', 'label_geschlecht', 'geschlecht', 'Geschlecht:');
    $obj = $form->add('select', 'geschlecht',$row[geschlecht]);
    $obj->add_options(array(
        '1' => 'männlich',
        '2' => 'weiblich',
        '3' => 'divers',
    ),true);
    
    $form->add('label', 'label_nachname', 'nachname', 'Nachname:');
    $obj = $form->add('text', 'nachname', $row[nachname],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Nachname ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_vorname', 'vorname', 'Vorname:');
    $obj = $form->add('text', 'vorname',$row[vorname],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Vorname ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_strasse', 'strasse', 'Strasse:');
    $obj = $form->add('text', 'strasse', $row[strasse],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Strasse ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_plz', 'plz', 'Postleitzahl:');
    $obj = $form->add('text', 'plz',$row[plz],array('maxlength' => '5', 'style' => 'width: 60px'));
    $obj->set_rule(array(
        'required' => array('error', 'Postleitzahl ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_ort', 'ort', 'Ort:');
    $obj = $form->add('text', 'ort',$row[wohnort],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Ort ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_geburtstag', 'geburtstag', 'Geburtsdatum:');
    $obj = $form->add('text', 'geburtstag',date("d.m.Y", strtotime($row['geburtstag'])),array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Geburtsdatum ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_telefon', 'telefon', 'Telefon:');
    $obj = $form->add('text', 'telefon',$row[telefon],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Telefonnummer ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_email', 'email', 'Email:');
    $obj = $form->add('text', 'email',$row[email],array('style' => 'width: 240px'));
    $obj->set_rule(array(
        'required' => array('error', 'E-Mailadresse ist ein Pflichtfeld!'),
     ));
          
    $form->add('label', 'label_mitglied', 'mitglied', 'Mitglied:');
    $obj = $form->add('checkboxes', 'mitglied[]', array(
        '1'     =>  'mitglied',
    ),$row[mitglied]);
   
    $form->add('label', 'label_gruppe', 'gruppe', 'Gruppe/Sippe:');
    $obj = $form->add('text', 'gruppe', $row[gruppe],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Bitte eine Sippe/Gruppe angeben!'),
        'dependencies'   =>  array(array('mitglied' =>  '1',), 'mycallback, 1'),
     ));
     
    $form->add('label', 'label_kontaktnachname', 'kontaktnachname', 'Nachname:');
    $obj = $form->add('text', 'kontaktnachname', $row[notfall_nachname],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Nachname ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_kontaktvorname', 'kontaktvorname', 'Vorname:');
    $obj = $form->add('text', 'kontaktvorname',$row[notfall_vorname],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Vorname ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_kontaktstrasse', 'kontaktstrasse', 'Strasse:');
    $obj = $form->add('text', 'kontaktstrasse', $row[notfall_strasse],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Strasse ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_kontaktplz', 'kontaktplz', 'Postleitzahl:');
    $obj = $form->add('text', 'kontaktplz',$row[notfall_plz],array('maxlength' => '5', 'style' => 'width: 60px'));
    $obj->set_rule(array(
        'required' => array('error', 'Postleitzahl ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_kontaktort', 'kontaktort', 'Ort:');
    $obj = $form->add('text', 'kontaktort',$row[notfall_wohnort],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Ort ist ein Pflichtfeld!'),
     ));
     
     $form->add('label', 'label_kontakttelefon', 'kontakttelefon', 'Telefon:');
    $obj = $form->add('text', 'kontakttelefon',$row[notfall_telefon],array('style' => 'width: 150px'));
    $obj->set_rule(array(
        'required' => array('error', 'Telefon ist ein Pflichtfeld!'),
     ));
     
     //Bankdaten
    $form->add('label', 'label_kontoinhaber', 'kontoinhaber', 'Kontoinhaber:');
    $obj = $form->add('text', 'kontoinhaber',$row[kontoinhaber],array('style' => 'width: 200px'));
    $obj->set_rule(array(
        'required' => array('error', 'Kontoinhaber ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_iban', 'iban', 'IBAN:');
    $obj = $form->add('text', 'iban', $row[iban],array('maxlength' => '22', 'style' => 'width: 200px'));
    $obj->set_rule(array(
        'required' => array('error', 'IBAN ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_bic', 'bic', 'BIC:');
    $obj = $form->add('text', 'bic',$row[bic],array('maxlength' => '11', 'style' => 'width: 120px'));
    $obj->change_case('upper');
    $obj->set_rule(array(
        'required' => array('error', 'BIC ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_beitrag', 'beitrag', 'Lagerbeitrag:');
    $obj = $form->add('text', 'beitrag',$row[berechneter_lagerbeitrag],array('style' => 'width: 65px'));
    $obj->set_rule(array(
        'required' => array('error', 'Lagerbeitrag ist ein Pflichtfeld!'),
        'regexp'    => array('[0-9]', 'error', 'Validates only if the value matches the following regular expression: bla bla bla')
     ));
     
    $form->add('label', 'label_spende', 'spende', 'Spende:');
    $obj = $form->add('text', 'spende',$row[spende],array('style' => 'width: 65px'));
    
     $form->add('label', 'label_prepay', 'prepay', 'PrePay:');
    $obj = $form->add('text', 'prepay',$row[kaufladen],array('style' => 'width: 65px'));
   
    $form->add('label', 'label_nachlass', 'nachlass', 'Nachlass:');
    $obj = $form->add('checkboxes', 'nachlass[]', array(
        '1'     =>  'nachlass',
    ),$row[nachlass]);
    
    $form->add('label', 'label_aufkleber', 'aufkleber', 'Aufkleber:');
    $obj = $form->add('checkboxes', 'aufkleber[]', array(
        '1'     =>  'aufkleber',
    ),$row[aufkleber]);
    
    //Zusatzangaben
    $form->add('label', 'label_krankenkasse', 'krankenkasse', 'Krankenkasse:');
    $obj = $form->add('text', 'krankenkasse',$row[krankenkasse],array('style' => 'width: 300px'));
    $obj->set_rule(array(
        'required' => array('error', 'Krankenkasse ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_impfung', 'impfung', 'Impfung:');
    $obj = $form->add('text', 'impfung', $row[impfung],array('maxlength' => '22', 'style' => 'width: 200px'));
    $obj->set_rule(array(
        'required' => array('error', 'Impfung ist ein Pflichtfeld!'),
     ));
     
    $form->add('label', 'label_schwimmen', 'schwimmen', 'Schwimmen:');
    $obj = $form->add('checkboxes', 'schwimmen[]', array(
        '1'     =>  'schwimmen',
    ),$row[schwimmen]); 
    
    $form->add('label', 'label_schwimmen', 'schwimmen', 'Schwimmen:');
    $obj = $form->add('checkboxes', 'schwimmen[]', array(
        '1'     =>  'schwimmen',
    ),$row[schwimmen]);
    
    $form->add('label', 'label_medabgabe', 'medabgabe', 'Medikamentenabgabe:');
    $obj = $form->add('checkboxes', 'medabgabe[]', array(
        '1'     =>  'medabgabe',
    ),$row[medikamentengabe]);  
   
    $form->add('label', 'label_fleischlos', 'fleischlos', 'fleischreduziertes Essen:');
    $obj = $form->add('checkboxes', 'fleischlos[]', array(
        '1'     =>  'vegi',
    ),$row[vegi]);
    
    $form->add('label', 'label_medikamente', 'medikamente', 'Medikamente:');
    $obj = $form->add('text', 'medikamente',$row['medikamente'],array('style' => 'width: 500px'));
    
     
    $form->add('label', 'label_allergien', 'allergien', 'Allergien:');
    $obj = $form->add('text', 'allergien',$row['allergien'],array('style' => 'width: 500px'));
    
     //Mitarbeiter/Mitfahrer
    $form->add('label', 'label_mitarbeiter', 'mitarbeiter', 'Mitarbeiter:');
    $obj = $form->add('checkboxes', 'mitarbeiter[]', array(
        '1'     =>  'mitarbeiter',
    ),$row[mitarbeiter]);
    
    ///Mitarbeiter/Mitfahrer -> Zeltwunsch
    $form->add('label', 'label_zeltwunsch1', 'zeltwunsch1', 'Zeltwunsch 1:');
    $obj = $form->add('text', 'zeltwunsch1', $row[insasse1],array('style' => 'width: 250px'));
    $obj->set_rule(array(
        'dependencies'   =>  array(array('mitarbeiter' =>  '1',), 'mycallback, 2'),
     ));
    $form->add('label', 'label_zeltwunsch2', 'zeltwunsch2', 'Zeltwunsch 2:');
    $obj = $form->add('text', 'zeltwunsch2', $row[insasse2],array('style' => 'width: 250px'));
    $obj->set_rule(array(
        'dependencies'   =>  array(array('mitarbeiter' =>  '1',), 'mycallback, 2'),
     ));
    $form->add('label', 'label_zeltwunsch3', 'zeltwunsch3', 'Zeltwunsch 3:');
    $obj = $form->add('text', 'zeltwunsch3', $row[insasse3],array('style' => 'width: 250px'));
    $obj->set_rule(array(
        'dependencies'   =>  array(array('mitarbeiter' =>  '1',), 'mycallback, 2'),
     ));
    $form->add('label', 'label_zeltwunsch4', 'zeltwunsch4', 'Zeltwunsch 4:');
    $obj = $form->add('text', 'zeltwunsch4', $row[insasse4],array('style' => 'width: 250px'));
    $obj->set_rule(array(
        'dependencies'   =>  array(array('mitarbeiter' =>  '1',), 'mycallback, 2'),
     ));
     
     ///Mitarbeiter/Mitfahrer -> Mitarbeit
    $form->add('label', 'label_aufgabe', 'aufgabe', 'Aufgabe:');
    $obj = $form->add('text', 'aufgabe', $row[aufgabe],array('style' => 'width: 350px'));
    $obj->set_rule(array(
        'dependencies'   =>  array(array('mitarbeiter' =>  '1',), 'mycallback, 2'),
     ));
     
    $form->add('label', 'label_mitfahrzeitraum', 'mitfahrzeitraum', 'Mitfahrzeitraum:');
    $obj = $form->add('checkboxes', 'mitfahrzeitraum[]', array(
        '1'     =>  'zwei Wochen', '2'     =>  '1. Wochen','3'     =>  '2. Woche', '4'     =>  'Wochenende',
    ),$row[vorbereitungstag]);
    
    $form->add('label', 'label_mitfahrzeitraum', 'mitfahrzeitraum', 'Mitfahrzeitraum:');
    $obj = $form->add('select', 'mitfahrzeitraum',$row[mitfahrzeitraum]);
    $obj->add_options(array(
        '1' => 'zwei Wochen',
        '2' => 'erste Woche',
        '3' => 'zweite Woche',
        '4' => 'Wochenende',
    ),true);
    
    $form->add('label', 'label_vorbereitungstag', 'vorbereitungstag', 'Vorbereitungstag:');
    $obj = $form->add('checkboxes', 'vorbereitungstag[]', array(
        '1'     =>  'vorbereitungstag',
    ),$row[vorbereitungstag]);
 
    $form->add('label', 'label_aufbau', 'aufbau', 'Aufbau:');
    $obj = $form->add('checkboxes', 'aufbau[]', array(
        '1'     =>  'aufbau',
    ),$row[aufbau]);
    
    $form->add('label', 'label_abbau', 'abbau', 'Abbau:');
    $obj = $form->add('checkboxes', 'abbau[]', array(
        '1'     =>  'abbau',
    ),$row[abbau]);
   
    // "submit"
    $form->add('submit', 'btnsubmit', 'Änderungen speichern');
    
    if ($form->validate()) 
    {
        //Persönliche Daten
        $geschlecht = $mydb-> mysql_escape_string($_POST['geschlecht']);
        $nachname= $mydb-> mysql_escape_string($_POST['nachname']);
        $vorname= $mydb-> mysql_escape_string($_POST['vorname']);
        $strasse= $mydb-> mysql_escape_string($_POST['strasse']);
        $plz= $mydb-> mysql_escape_string($_POST['plz']);
        $ort= $mydb-> mysql_escape_string($_POST['ort']);
        $geburtsdatum= $mydb-> mysql_escape_string($_POST['geburtstag']);
        $telefon= $mydb-> mysql_escape_string($_POST['telefon']);
        $email= $mydb-> mysql_escape_string($_POST['email']);
        $mitgliedarray= $_POST['mitglied'];
        $mitglied = $mitgliedarray[0];
        if ($mitglied < 1)
        {
          $mitglied = 0;  
        }
        
        if ($mitglied)
        {
            $sippe= $mydb-> mysql_escape_string($_POST['gruppe']);
        }
        else
        {
            $sippe = "";
        }
        
        $sqlstring = "UPDATE AnmeldungAdressen SET nachname='$nachname', vorname='$vorname', strasse='$strasse', wohnort='$ort', plz='$plz', email='$email' , telefon='$telefon'  WHERE uid='$uid' ";
        $mydb->query($sqlstring);
        
        $sqlstring = "UPDATE AnmeldungPerson SET geschlecht='$geschlecht', mitglied='$mitglied', gruppe='$sippe', geburtstag= STR_TO_DATE('$geburtsdatum','%d.%m.%Y') WHERE uid='$uid' ";
        $mydb->query($sqlstring);
        
        
         //Kontaktperson
        $kontakt_nachname= $mydb-> mysql_escape_string($_POST['kontaktnachname']);
        $kontakt_vorname= $mydb-> mysql_escape_string($_POST['kontaktvorname']);
        $kontakt_strasse= $mydb-> mysql_escape_string($_POST['kontaktstrasse']);
        $kontakt_plz= $mydb-> mysql_escape_string($_POST['kontaktplz']);
        $kontakt_ort= $mydb-> mysql_escape_string($_POST['kontaktort']);
        $kontakt_telefon= $mydb-> mysql_escape_string($_POST['kontakttelefon']);
        
        $sqlstring = "UPDATE AnmeldungNotfallkontakt SET notfall_nachname='$kontakt_nachname', notfall_vorname='$kontakt_vorname', notfall_strasse='$kontakt_strasse', notfall_plz='$kontakt_plz', notfall_wohnort='$kontakt_ort' , notfall_telefon='$kontakt_telefon' WHERE uid='$uid' ";
        $mydb->query($sqlstring);
        
        //Bankdaten
        $kontoinhaber= $mydb-> mysql_escape_string($_POST['kontoinhaber']);
        $iban= $mydb-> mysql_escape_string($_POST['iban']);
        $bic= $mydb-> mysql_escape_string($_POST['bic']);
        $spende= $mydb-> mysql_escape_string($_POST['spende']);
        $beitrag= $mydb-> mysql_escape_string($_POST['beitrag']); 
        $nachlassarray= $_POST['nachlass'];
        $nachlass = $nachlassarray[0];
        $kaufladen =  $mydb-> mysql_escape_string($_POST['prepay']); 
        $aufkleberarray= $_POST['aufkleber'];
        $aufkleber= $aufkleberarray[0];
        
        if ($spende > 0)
        {
           $mandatsreferenz_spende = substr($nachname, 0, 1) . substr($vorname,0, 1) . "-" . substr($uid, -5) . "-Spende";
        }
        else
        {
           $mandatsreferenz_spende = "";
        }
        
        if ($kaufladen > 0)
        {
           $mandatsreferenz_prepay = substr($nachname, 0, 1) . substr($vorname,0, 1) . "-" . substr($uid, -5) . "-KaufladenPrePay";
        }
        else
        {
           $mandatsreferenz_prepay = "";
        }	
        
        if ($aufkleber > 0)
        {
           $mandatsreferenz_aufkleber = substr($nachname, 0, 1) . substr($vorname,0, 1) . "-" . substr($uid, -5) . "-Namensaufkleber";
        }
        else
        {
           $mandatsreferenz_aufkleber = "";
        } 	 
         
        $sqlstring = "UPDATE AnmeldungBankdaten SET iban='$iban', bic='$bic', kontoinhaber='$kontoinhaber', spende='$spende', nachlass='$nachlass' , berechneter_lagerbeitrag='$beitrag', mandatsreferenz_spende ='$mandatsreferenz_spende' , kaufladen ='$kaufladen', mandatsreferenz_prepay='$mandatsreferenz_prepay', aufkleber='$aufkleber', mandatsreferenz_aufkleber='$mandatsreferenz_aufkleber'  WHERE uid='$uid' ";
        $mydb->query($sqlstring);
        
        //Zusatzangeben
        $krankenkasse= $mydb-> mysql_escape_string($_POST['krankenkasse']);
        $impfung= $mydb-> mysql_escape_string($_POST['impfung']);
        $medikamente= $mydb-> mysql_escape_string($_POST['medikamente']);
        $allergien= $mydb-> mysql_escape_string($_POST['allergien']);
        
        $schwimmenarray= $_POST['schwimmen'];
        $schwimmen= $schwimmenarray[0];
        if ($schwimmen < 1)
        {
          $schwimmen = 0;  
        }
        
        $medabgabearray= $_POST['medabgabe'];
        $medabgabe = $medabgabearray[0];
        if ($medabgabe < 1)
        {
          $medabgabe = 0;  
        }
        
        $fleischlosarray= $_POST['fleischlos'];
        $fleischlos= $fleischlosarray[0];
        if ($fleischlos < 1)
        {
          $fleischlos = 0;  
        }
        
        $sqlstring = "UPDATE AnmeldungZusatzangaben SET krankenkasse='$krankenkasse', impfung='$impfung', allergien='$allergien', medikamente='$medikamente', schwimmen='$schwimmen' , vegi='$fleischlos', medikamentengabe ='$medabgabe' WHERE uid='$uid' ";
        $mydb->query($sqlstring);
        
        
        //Zeltwunsch
        $aufgabe = $mydb-> mysql_escape_string($_POST['aufgabe']);
    
        $zeltwunsch1 = $mydb-> mysql_escape_string($_POST['zeltwunsch1']);
        $zeltwunsch2 = $mydb-> mysql_escape_string($_POST['zeltwunsch2']);
        $zeltwunsch3 = $mydb-> mysql_escape_string($_POST['zeltwunsch3']);
        $zeltwunsch4 = $mydb-> mysql_escape_string($_POST['zeltwunsch4']);
        
        $mitarbeiterarray= $_POST['mitarbeiter'];
        $mitarbeiter= $mitarbeiterarray[0];
        
        $vorbereitungstagarray= $_POST['vorbereitungstag'];
        $vorbereitungstag= $vorbereitungstagarray[0];
         if ($vorbereitungstag < 1)
        {
          $vorbereitungstag = 0;  
        }
        
        $aufbauarray= $_POST['aufbau'];
        $aufbau= $aufbauarray[0];
         if ($aufbau < 1)
        {
          $aufbau = 0;  
        }
        
        
        $abbauarray= $_POST['abbau'];
        $abbau= $abbauarray[0];
        if ($abbau < 1)
        {
          $abbau = 0;  
        }
                                        
        $mitfahrzeitraumarray= $_POST['mitfahrzeitraum'];
        $mitfahrzeitraum= $mitfahrzeitraumarray[0];
        
        if($mitarbeiter != 1)
        {
          $mitfahrzeitraum = 1;
          $vorbereitungstag = 0;
          $aufgabe = "-"; 
          $mitarbeiter = 0;
        }
        
        
        $sqlstring = "UPDATE AnmeldungZeltwunsch SET insasse1='$zeltwunsch1', insasse2='$zeltwunsch2', insasse3='$zeltwunsch3', insasse4='$zeltwunsch4', mitarbeiter='$mitarbeiter' , aufgabe='$aufgabe', vorbereitungstag='$vorbereitungstag',aufbau='$aufbau',abbau='$abbau',mitfahrzeitraum='$mitfahrzeitraum'  WHERE uid='$uid' ";
            echo  $sqlstring;

        $mydb->query($sqlstring);
        
        echo $sqlstring;
        
         //Übersichtsseite laden
        header('location:'.$_SERVER['PHP_SELF'].'?pageId=9&edit=false');
        
    }
    else
    {
        echo "<h2>Datensatz bearbeiten (uid: $uid)</h2>";
        $form->render('templates/EditForm.tpl');
       
    }

}

$mydb->disconnect();


if (!isset($_GET["edit"]))
{
    echo "<script language=\"JavaScript\" type=\"text/javascript\">";
    //echo "alert(\"test1\");";
    //echo "$('#dataTables-edit').dataTable({\"search\": { \"search\": \"Fred\"}} );";
    echo "$('#dataTables-edit').dataTable( );";
    //echo "alert(\"test2\");";
    echo "</script>";
}
  
?>


